TV
curl --request GET \
--url https://api.themoviedb.org/3/search/tvimport requests
url = "https://api.themoviedb.org/3/search/tv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/search/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/mu3lEhGovyhKHPJzb7HNYtZUCDT.jpg",
"first_air_date": "2005-10-13",
"genre_ids": [
10766
],
"id": 206559,
"name": "Binnelanders",
"origin_country": [
"ZA"
],
"original_language": "af",
"original_name": "Binnelanders",
"overview": "A South African Afrikaans soap opera. It is set in and around the fictional private hospital, Binneland Kliniek, in Pretoria, and the storyline follows the trials, trauma and tribulations of the staff and patients of the hospital.",
"popularity": 4638.165,
"poster_path": "/3bzECfllho8PphdYujLUIuhncJD.jpg",
"vote_average": 5.6,
"vote_count": 80
}
],
"total_pages": 1,
"total_results": 1
}Search
TV
Search for TV shows by their original, translated and also known as names.
GET
/
3
/
search
/
tv
TV
Query Parameters
Example:
"%22Binnelanders%22"
Example:
"false"
Example:
"en-US"
Example:
"1"
Response
200 - application/json
TV
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/mu3lEhGovyhKHPJzb7HNYtZUCDT.jpg",
"first_air_date": "2005-10-13",
"genre_ids": [10766],
"id": 206559,
"name": "Binnelanders",
"origin_country": ["ZA"],
"original_language": "af",
"original_name": "Binnelanders",
"overview": "A South African Afrikaans soap opera. It is set in and around the fictional private hospital, Binneland Kliniek, in Pretoria, and the storyline follows the trials, trauma and tribulations of the staff and patients of the hospital.",
"popularity": 4638.165,
"poster_path": "/3bzECfllho8PphdYujLUIuhncJD.jpg",
"vote_average": 5.6,
"vote_count": 80
}
]
Example:
1
Example:
1